## EAlertBar

EAlertBar

## Functions

GtkWidget * | e_alert_bar_new ()
void | e_alert_bar_clear ()
void | e_alert_bar_add_alert ()
gboolean | e_alert_bar_close_alert ()

## Types and Values

struct | EAlertBar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GtkInfoBar
                            ╰── EAlertBar

## Implemented Interfaces

EAlertBar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### e_alert_bar_new ()

    GtkWidget *
    e_alert_bar_new (void);

### e_alert_bar_clear ()

    void
    e_alert_bar_clear (EAlertBar *alert_bar);

### e_alert_bar_add_alert ()

    void
    e_alert_bar_add_alert (EAlertBar *alert_bar,
                           EAlert *alert);

### e_alert_bar_close_alert ()

    gboolean
    e_alert_bar_close_alert (EAlertBar *alert_bar);

Closes the active EAlert and returns `TRUE`, or else returns `FALSE` if there is no active EAlert.

#### Parameters

alert_bar | an EAlertBar |

#### Returns

whether an EAlert was closed

## Types and Values

### struct EAlertBar

    struct EAlertBar;